## smemstat 0.01.10

=== Makefile ===
VERSION=0.01.10
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' 

BINDIR=/usr/bin
MANDIR=/usr/share/man/man8

OBJS = smemstat.o 

smemstat: $(OBJS) Makefile
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

smemstat.8.gz: smemstat.8
	gzip -c $< > $@

dist:
	rm -rf smemstat-$(VERSION)
	mkdir smemstat-$(VERSION)
	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts smemstat-$(VERSION)
	tar -zcf smemstat-$(VERSION).tar.gz smemstat-$(VERSION)
	rm -rf smemstat-$(VERSION)

clean:
	rm -f smemstat smemstat.o smemstat.8.gz
	rm -f smemstat-$(VERSION).tar.gz
	rm -f $(OBJS)

install: smemstat smemstat.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp smemstat ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp smemstat.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
smemstat (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -p process list option
  * Initialise unit to catch illegal opt_flag opts

 -- Colin King <colin.king@canonical.com>  Tue, 3 Jun 2014 10:34:00 +0100

smemstat (0.01.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Nullify d_next ptr to stop list being doubly linked

 -- Colin King <colin.king@canonical.com>  Fri, 23 May 2014 18:09:00 +0100

smemstat (0.01.08-1) unstable; urgency=medium

  * Bump version
  * Man page: fix typo '-r' should be '-o' (Closes: #748899)

 -- Colin King <colin.king@canonical.com>  Thu, 22 May 2014 09:23:34 +0100

smemstat (0.01.07-1) unstable; urgency=medium

  * Makefile; bump version
  * Minor tidy up of whitespacing
  * Remove extraneous printfs in help
  * Improve parsing of duratio and count
  * Constify arg in count_bits

 -- Colin King <colin.king@canonical.com>  Sat, 17 May 2014 15:32:11 +0100

smemstat (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Handle unknown option with help info
  * minor tidy up of mem_report_size
  * ensure -d option only strips path of executable and not args

 -- Colin King <colin.king@canonical.com>  Thu, 1 May 2014 00:11:09 +0100

smemstat (0.01.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Add README to dist
  * Add README file
  * -k, -m, -g options are 1024 times too small

 -- Colin King <colin.king@canonical.com>  Thu, 17 Apr 2014 10:37:30 +0100

smemstat (0.01.04-1) unstable; urgency=low

  * Initial Debian release (Closes: #744875)
  * Makefile: bump version once more
  * Makefile: add scripts dir to dist tarball
  * Makefile: fix dist

 -- Colin King <colin.king@canonical.com>  Tue, 15 Apr 2014 18:39:00 +0100

smemstat (0.01.03) unstable; urgency=low

  * Makefile: bump version
  * Free uname if uname->name can't be allocated
  * Add some extra checking for failed uid lookups and alloc failures

 -- Colin King <colin.king@canonical.com>  Tue, 15 Apr 2014 16:06:00 +0100

smemstat (0.01.02) unstable; urgency=low

  * Makefile: bump version
  * Remove Delta symbol, report that the periodic output is change in memory

 -- Colin King <colin.king@canonical.com>  Tue, 15 Apr 2014 11:38:00 +0100

smemstat (0.01.01) trusty; urgency=low

  * Add COPYING file
  * smemstat-parse.py: remove old cruft
  * Add some more comments to function prototypes
  * Makefile: bump version
  * Add better kernel thread detection and some memory tweaks
  * Remove comm field, re-use cmdline and add -c option
  * Add -d, -l, -s, -k, -m, -g options
  * Check uid sscan return and only fetch name if valid
  * Specifiy sscanf format width to stop cppcheck warnings
  * constify some args

 -- Colin King <colin.king@canonical.com>  Tue, 15 Apr 2014 11:14:00 +0100

smemstat (0.01.00) trusty; urgency=low

  * Initial version 

 -- Colin King <colin.king@canonical.com>  Mon, 14 Apr 2014 21:37:00 +0100

=== debian/control ===
Source: smemstat
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7)
Homepage: http://kernel.ubuntu.com/~cking/smemstat

Package: smemstat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: memory usage monitoring tool
 Smemstat reports the physical memory usage taking
 into consideration shared memory.  The tool can
 either report a current snapshot of memory usage
 or periodically dump out any changes in memory.

## smemstat 0.01.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.10
+VERSION=0.01.11
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
smemstat (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add some more trivial comments
  * Replace APP_NAME with const char string
  * Remove whitespace
  * Add better signal handling
  * Use suseconds_t for nsec conversions
  * Check for gettimeofday failures
  * Update debian standards version
  * Ignore returns from close(), fclose()
  * Fix typo in comment
  * Remove trailing fullstop from man page heading

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 13:02:00 +0000

## smemstat 0.01.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,22 @@
-VERSION=0.01.11
+#
+# Copyright (C) 2014-2015 Canonical, Ltd.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+VERSION=0.01.12
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' 
@@ -9,7 +27,7 @@
 OBJS = smemstat.o 
 
 smemstat: $(OBJS) Makefile
-	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)
+	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS) -g
 
 smemstat.8.gz: smemstat.8
 	gzip -c $< > $@

=== debian/changelog ===
smemstat (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * smemstat: remove sighandler on SIGILL, SIGABRT, SIGBUS
  * Manual: Add copyright and update date
  * Makefile: add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 16:56:00 +0100

## smemstat 0.01.13

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.12
+VERSION=0.01.13
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' 
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
@@ -27,7 +27,7 @@
 OBJS = smemstat.o 
 
 smemstat: $(OBJS) Makefile
-	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS) -g
+	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)
 
 smemstat.8.gz: smemstat.8
 	gzip -c $< > $@

=== debian/changelog ===
smemstat (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Use strrok instead of strtok_r
  * Make memory scanning more efficient
  * Simplify the timeval add/sub operations.
  * Minor white space cleanups
  * Remove trap on SIGSEGV

 -- Colin King <colin.king@canonical.com>  Thu, 2 Jul 2015 07:51:00 +0100

## smemstat 0.01.14

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.13
+VERSION=0.01.14
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.01.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix null ptr dereference when UID can't be read (LP: #1473245)

 -- Colin King <colin.king@canonical.com>  Fri, 10 Jul 2015 00:37:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7)
 Homepage: http://kernel.ubuntu.com/~cking/smemstat

## smemstat 0.01.15

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2015 Canonical, Ltd.
+# Copyright (C) 2014-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.14
+VERSION=0.01.15
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update Build-Depends for debhelper
  * Debian/compat: update to 9
  * Debian/control: update Standards-Version to 3.9.8
  * Update and correct copyright years

 -- Colin King <colin.king@canonical.com>  Tue, 4 Oct 2016 10:45:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat

## smemstat 0.01.16

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,20 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.15
+VERSION=0.01.16
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
@@ -27,7 +37,7 @@
 OBJS = smemstat.o 
 
 smemstat: $(OBJS) Makefile
-	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)
+	$(CC) $(CFLAGS) $(OBJS) -lm -lncurses -o $@ $(LDFLAGS)
 
 smemstat.8.gz: smemstat.8
 	gzip -c $< > $@

=== debian/changelog ===
smemstat (0.01.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Add some more trivial comments
  * Remove unnecessary static NULL assignments
  * Add gnu printf attributes
  * Clean up code
  * Remove need for linebreak display function
  * Debain/control: add libncurses5-dev
  * Update manual
  * Add ncurses -t and -T top modes
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Fri, 9 Dec 2016 09:40:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat

## smemstat 0.01.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2016 Canonical, Ltd.
+# Copyright (C) 2014-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.16
+VERSION=0.01.17
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -45,7 +45,8 @@
 dist:
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
-	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts smemstat-$(VERSION)
+	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
+		snapcraft smemstat-$(VERSION)
 	tar -zcf smemstat-$(VERSION).tar.gz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)

=== debian/changelog ===
smemstat (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Makefile: add snapcraft to make dist rule
  * Add variable pid size handling.
  * Update copyright year
  * Add system-observe plug to snapcraft rules

 -- Colin King <colin.king@canonical.com>  Fri, 14 Apr 2017 18:04:11 +0100

## smemstat 0.01.18

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2017 Canonical, Ltd.
+# Copyright (C) 2014-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.17
+VERSION=0.01.18
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/rules: remove whitespace at end of line
  * Bump copyright year to 2018
  * debian/control: update Standards-Version to 4.1.2
  * Remove packed attribute from various structs
  * snapcraft: add default app and stable keys
  * snapcraft: Makefile: remove icon hack

 -- Colin King <colin.king@canonical.com>  Fri, 5 Jan 2018 00:21:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9), libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/smemstat/smemstat-(.+).tar.gz

## smemstat 0.02.00

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.18
+VERSION=0.02.00
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -37,7 +37,7 @@
 OBJS = smemstat.o 
 
 smemstat: $(OBJS) Makefile
-	$(CC) $(CFLAGS) $(OBJS) -lm -lncurses -o $@ $(LDFLAGS)
+	$(CC) $(CFLAGS) $(OBJS) -lm -lncursesw -o $@ $(LDFLAGS)
 
 smemstat.8.gz: smemstat.8
 	gzip -c $< > $@

=== debian/changelog ===
smemstat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: change build depends, now use libncurses5w-dev
  * debian/control: update debhelper to version 11 or higher
  * debian/compat: update to 11
  * debian/copyright: use secure URI
  * debian/control: remove trailing empty line
  * Makefile: use ncursesw for utf-8
  * Add delta field showing change in memory with -T option
  * Make snapcraft stable
  * snapcraft: update interfaces
  * snapcraft: make confinement strict
  * Make some index variables size_t

 -- Colin King <colin.king@canonical.com>  Thu, 14 Jun 2018 08:34:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libncurses5-dev
+Build-Depends: debhelper (>= 11), libncursesw5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat
@@ -14,4 +14,3 @@
  into consideration shared memory.  The tool can
  either report a current snapshot of memory usage
  or periodically dump out any changes in memory.
-

## smemstat 0.02.01

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.00
+VERSION=0.02.01
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -46,13 +46,13 @@
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
 	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
-		snapcraft smemstat-$(VERSION)
-	tar -zcf smemstat-$(VERSION).tar.gz smemstat-$(VERSION)
+		snapcraft .travis.yml smemstat-$(VERSION)
+	tar -Jcf smemstat-$(VERSION).tar.xz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)
 
 clean:
 	rm -f smemstat smemstat.o smemstat.8.gz
-	rm -f smemstat-$(VERSION).tar.gz
+	rm -f smemstat-$(VERSION).tar.xz
 	rm -f $(OBJS)
 
 install: smemstat smemstat.8.gz

=== snapcraft/Makefile ===
VERSION=$(shell git tag | tail -1 | cut -c2-)
COMMITS=$(shell git log --oneline | wc -l)
SHA=$(shell git log -1 --oneline | cut -d' ' -f1)
DATE=$(shell date +'%Y%m%d')
V=$(VERSION)-$(DATE)-$(COMMITS)-$(SHA)

all: set_version
	snapcraft

set_version:
	cat snapcraft.yaml | sed 's/version: .*/version: $(V)/' > snapcraft-tmp.yaml
	mv snapcraft-tmp.yaml snapcraft.yaml

clean:
	rm -rf setup *.snap
	snapcraft clean
	cat snapcraft.yaml | sed 's/version: .*/version: 0/' > snapcraft-tmp.yaml
	mv snapcraft-tmp.yaml snapcraft.yaml

=== debian/changelog ===
smemstat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/watch: look for .xz suffixed tarball
  * Makefile: make .xz tarball for better compression
  * Add .travis.yml file to make dist rule
  * Add more constifications
  * don't show arrow in one-shot mode
  * Fix up some whitespacing
  * Add some more constifications
  * Voidify function returns
  * snapcraft: add stage-packages entry
  * debian/control: add libncurses-dev
  * Add travis yaml file
  * snapcraft: add libncursesw5-dev

 -- Colin King <colin.king@canonical.com>  Tue, 10 Jul 2018 09:19:19 +0100

## smemstat 0.02.02

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.01
+VERSION=0.02.02
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Update date in manual
  * Update manual to explain top mode action keys
  * Add top mode key actions
  * Enable arrow memory size change with -a option
  * compare double to 0.0 rather than 0

 -- Colin King <colin.king@canonical.com>  Thu, 30 Aug 2018 09:04:01 +0100

## smemstat 0.02.03

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.02
+VERSION=0.02.03
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Don't emit "Note: Mmeory reported in units..." message in quiet mode
  * Don't emit Change in memory message in quiet mode
  * Make structs pack more efficiently

 -- Colin King <colin.king@canonical.com>  Sun, 23 Sep 2018 11:10:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11), libncursesw5-dev
+Build-Depends: debhelper (>= 11), libncurses-dev, libncursesw5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat

## smemstat 0.02.04

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2018 Canonical, Ltd.
+# Copyright (C) 2014-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.03
+VERSION=0.02.04
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: fix typo: comsumers -> consumers
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Sat, 6 Jul 2019 21:24:24 +0100

## smemstat 0.02.05

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.04
+VERSION=0.02.05
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -46,7 +46,7 @@
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
 	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
-		snapcraft .travis.yml smemstat-$(VERSION)
+		snap .travis.yml smemstat-$(VERSION)
 	tar -Jcf smemstat-$(VERSION).tar.xz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)

=== debian/changelog ===
smemstat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12
  * snap: make versioning automatic
  * Rename snapcraft to snap

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 17:23:11 +0100

## smemstat 0.02.06

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.05
+VERSION=0.02.06
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove trailing whitespace
  * Format Total: field using the size of the pid fields to fix alignment
  * Add sanity check on tmp before dereferencing it
  * Fix potential memory leak when re-assigning new cmdline

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 14:35:23 +0000

## smemstat 0.02.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2019 Canonical, Ltd.
+# Copyright (C) 2014-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.06
+VERSION=0.02.07
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
@@ -33,6 +33,7 @@
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 OBJS = smemstat.o 
 
@@ -46,7 +47,7 @@
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
 	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
-		snap .travis.yml smemstat-$(VERSION)
+		snap .travis.yml bash-completion smemstat-$(VERSION)
 	tar -Jcf smemstat-$(VERSION).tar.xz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)
 
@@ -60,3 +61,5 @@
 	cp smemstat ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp smemstat.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/smemstat ${DESTDIR}${BASHDIR}

=== debian/changelog ===
smemstat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 16:34:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11), libncurses-dev, libncursesw5-dev
+Build-Depends: debhelper (>= 12), libncurses-dev, libncursesw5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/smemstat/smemstat-(.+).tar.xz

## smemstat 0.02.08

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.07
+VERSION=0.02.08
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: remove compat file, add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:50:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: smemstat
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12), libncurses-dev, libncursesw5-dev
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (=13),
+               libncurses-dev,
+               libncursesw5-dev
 Homepage: http://kernel.ubuntu.com/~cking/smemstat
 
 Package: smemstat

## smemstat 0.02.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2020 Canonical, Ltd.
+# Copyright (C) 2014-2021 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.08
+VERSION=0.02.09
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * snapcraft: add architectures remote build info
  * smemstat: fix alignment of Total: columns in oneshot and dump modes
  * update copyright to 2021
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Sun, 4 Jul 2020 22:45:23 +0100

## smemstat 0.02.10

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.09
+VERSION=0.02.10
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
smemstat (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix lost newline characters due to truncation on wide consoles (LP: #1934593)

 -- Colin King <colin.king@canonical.com>  Tue, 6 Jul 2020 20:07:15 +0100

## smemstat 0.02.11

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.10
+VERSION=0.02.11
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
 #
 # Pedantic flags
@@ -47,7 +47,7 @@
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
 	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
-		snap .travis.yml bash-completion smemstat-$(VERSION)
+		snap .travis.yml bash-completion README.md smemstat-$(VERSION)
 	tar -Jcf smemstat-$(VERSION).tar.xz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)

=== debian/changelog ===
smemstat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add README.md to make dist rule
  * debian/watch: change location to github for tarballs
  * Update copyright and project email contact information
  * debian/control: update maintainer email address and project URL
  * smemstat.c: always use "%s"-style format for printf()-style functions (Closes: #997187)
  * README.md: Make headings into subheadings
  * Add README.md
  * snapcraft: update to core20

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 9 Nov 2021 18:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 12),
                debhelper-compat (=13),
                libncurses-dev,
                libncursesw5-dev
-Homepage: http://kernel.ubuntu.com/~cking/smemstat
+Homepage: https://github.com/ColinIanKing/smemstat
 
 Package: smemstat
 Architecture: linux-any

## smemstat 0.02.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
+# Copyright (C) 2021-2022 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.11
+VERSION=0.02.12
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g

=== debian/changelog ===
smemstat (0.02.12-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update standards version to 4.6.1.1
  * Update copyright year
  * Remove unused variables, clean up clang-14 warnings

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 6 Dec 2022 10:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.6.1
+Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses-dev,
                libncursesw5-dev

## smemstat 0.02.13

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021-2022 Colin Ian King.
+# Copyright (C) 2021-2024 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.12
+VERSION=0.02.13
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
@@ -48,7 +48,7 @@
 	rm -rf smemstat-$(VERSION)
 	mkdir smemstat-$(VERSION)
 	cp -rp Makefile smemstat.c smemstat.8 COPYING README scripts \
-		snap .travis.yml bash-completion README.md smemstat-$(VERSION)
+		.travis.yml bash-completion README.md smemstat-$(VERSION)
 	tar -Jcf smemstat-$(VERSION).tar.xz smemstat-$(VERSION)
 	rm -rf smemstat-$(VERSION)

=== debian/changelog ===
smemstat (0.02.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove snap from make dist rule
  * debian/control: remove obsolete package libncursesw5-dev
  * debian/rules: add missing hardening settings
  * debian/control: update standards version
  * Update copyright to 2024
  * Check for array bounds limit while parsing pid length string
  * Remove snapcraft
  * README.md: add repology link

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 11 Jan 2024 13:54:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
-               libncurses-dev,
-               libncursesw5-dev
+               libncurses-dev
 Homepage: https://github.com/ColinIanKing/smemstat
 
 Package: smemstat

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/smemstat/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
